> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Support Ticket



## OpenAPI

````yaml /openapi.json post /v1/support/tickets
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/support/tickets:
    post:
      tags:
        - Support
      summary: Create Support Ticket
      operationId: create_support_ticket_v1_support_tickets_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SupportTicketCreate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportTicketResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
components:
  schemas:
    SupportTicketCreate:
      additionalProperties: false
      properties:
        category:
          enum:
            - account
            - billing
            - evaluation
            - marketplace
            - technical
            - other
          title: Category
          type: string
        context_path:
          anyOf:
            - maxLength: 500
              type: string
            - type: 'null'
          title: Context Path
        description:
          maxLength: 8000
          minLength: 20
          title: Description
          type: string
        diagnostics:
          additionalProperties: true
          title: Diagnostics
          type: object
        include_diagnostics:
          default: false
          title: Include Diagnostics
          type: boolean
        subject:
          maxLength: 160
          minLength: 4
          title: Subject
          type: string
      required:
        - category
        - subject
        - description
      title: SupportTicketCreate
      type: object
    SupportTicketResponse:
      properties:
        category:
          enum:
            - account
            - billing
            - evaluation
            - marketplace
            - technical
            - other
          title: Category
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          format: uuid
          title: Id
          type: string
        status:
          enum:
            - open
            - reviewing
            - resolved
            - closed
          title: Status
          type: string
        subject:
          title: Subject
          type: string
      required:
        - id
        - category
        - subject
        - status
        - created_at
      title: SupportTicketResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http

````